Bug Hunting Session
Bug 126180 - CRASH: sd::View::SdrEndTextEdit(bool)
Summary: CRASH: sd::View::SdrEndTextEdit(bool)
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
4.2 all versions
Hardware: All All
: medium normal
Assignee: Xisco Faulí
URL:
Whiteboard: target:6.4.0 target:6.3.0.1 target:6.2.6
Keywords: bibisected, haveBacktrace, needUITest, regression
Depends on:
Blocks:
 
Reported: 2019-07-01 16:14 UTC by Xisco Faulí
Modified: 2019-07-30 13:58 UTC (History)
2 users (show)

See Also:
Crash report or crash signature: ["sd::View::SdrEndTextEdit(bool)"]


Attachments
bt with debug symbols (gtk3) (8.66 KB, text/plain)
2019-07-01 18:02 UTC, Julien Nabet
Details
Valgrind trace (5.14 KB, application/x-bzip)
2019-07-01 18:36 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2019-07-01 16:14:21 UTC
Steps to reproduce:
1. Open impress
2. Insert a new slide
3. menu Window - new Window
4. Insert a textbox in view1 ( second slide ) and keep the cursor inside the textbox
5. Go to view2 and delete the slide 2

-> Crash

Reproduced in

Version: 6.4.0.0.alpha0+
Build ID: 9fbedb7929936a45967ae49bc15b985f95e2ebd3
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded
Comment 1 Xisco Faulí 2019-07-01 16:24:27 UTC
Most likely introduced by the same rage: https://bugs.documentfoundation.org/show_bug.cgi?id=111522#c8
Comment 2 Julien Nabet 2019-07-01 18:02:15 UTC
Created attachment 152492 [details]
bt with debug symbols (gtk3)

On pc Debian x86-64 with master sources updated today, I could reproduce this.
Comment 3 Julien Nabet 2019-07-01 18:36:05 UTC
Created attachment 152493 [details]
Valgrind trace
Comment 4 Commit Notification 2019-07-03 07:19:42 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/e6c7a018a0cfee395ce2886d41c908a2447ef5cc%5E%21

tdf#126180: EndTextEdit on all views before delete/cut slide

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2019-07-03 10:36:44 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/+/1aa93766ee3994af9975e96e8ea60e02078de2d8%5E%21

tdf#126180: EndTextEdit on all views before delete/cut slide

It will be available in 6.3.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2019-07-15 07:14:40 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/f160dbfc92b89aff5afc4c87692e52bd50e3f09e%5E%21

tdf#126180: EndTextEdit on all views before delete/cut slide

It will be available in 6.2.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.